com.google.gwt.layout.client

## Enum Layout.Alignment

- java.lang.Object
- - java.lang.Enum<Layout.Alignment>
  - - com.google.gwt.layout.client.Layout.Alignment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Layout.Alignment>
  Enclosing class:
    Layout

      public static enum Layout.Alignment
      extends java.lang.Enum<Layout.Alignment>

  Used to specify the alignment of child elements within a layer.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEGIN` Positions an element at the beginning of a given axis.
    `END` Positions an element at the beginning of a given axis.
    `STRETCH` Stretches an element to fill the layer on a given axis.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Layout.Alignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Layout.Alignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEGIN

          public static final Layout.Alignment BEGIN

      Positions an element at the beginning of a given axis.

    - #### END

          public static final Layout.Alignment END

      Positions an element at the beginning of a given axis.

    - #### STRETCH

          public static final Layout.Alignment STRETCH

      Stretches an element to fill the layer on a given axis.

  - ### Method Detail

    - #### values

          public static Layout.Alignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Layout.Alignment c : Layout.Alignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Layout.Alignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null